com.holonplatform.vaadin.components.builders

## Interface SingleSelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    BaseItemDataSourceComponentBuilder<SingleSelectInputBuilder<T>>, BaseSelectInputBuilder<T,SingleSelect<T>,T,T,SingleSelectInputBuilder<T>>, BaseSelectInputBuilder.SingleSelectConfigurator<T,T,SingleSelectInputBuilder<T>>, ComponentConfigurator<SingleSelectInputBuilder<T>>, InputBuilder<T,SingleSelect<T>,SingleSelectInputBuilder<T>>, InputConfigurator<T,SingleSelectInputBuilder<T>>, SelectInputBuilder<T,SingleSelect<T>,T,T,SingleSelectInputBuilder<T>>, SelectItemDataSourceBuilder<T,SingleSelect<T>,T,T,SingleSelectInputBuilder<T>>

      public interface SingleSelectInputBuilder<T>
      extends BaseSelectInputBuilder.SingleSelectConfigurator<T,T,SingleSelectInputBuilder<T>>, SelectItemDataSourceBuilder<T,SingleSelect<T>,T,T,SingleSelectInputBuilder<T>>

  Builder to create a single selection `Input`.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder.SingleSelectConfigurator

      `disableTextInput, filteringMode, scrollToSelectedItem, suggestionPopupWidth`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectItemDataSourceBuilder

      `dataSource, itemAdapter`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

Copyright © 2017 The Holon Platform. All rights reserved.